org.apache.storm.trident.windowing.strategy

## Class SlidingDurationWindowStrategy<T>

- java.lang.Object
- - org.apache.storm.trident.windowing.strategy.BaseWindowStrategy<T>
  - - org.apache.storm.trident.windowing.strategy.SlidingDurationWindowStrategy<T>

- All Implemented Interfaces:
    WindowStrategy<T>

      public final class SlidingDurationWindowStrategy<T>
      extends BaseWindowStrategy<T>

  This class represents sliding window strategy based on the sliding window duration and sliding interval from the given `slidingCountWindow` configuration.

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.trident.windowing.strategy.BaseWindowStrategy

      `windowConfig`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SlidingDurationWindowStrategy(WindowConfig slidingDurationWindow)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EvictionPolicy<T,?>` | `getEvictionPolicy()` Returns an `EvictionPolicy` instance which evicts elements after window duration is reached.
    `TriggerPolicy<T,?>` | `getTriggerPolicy(TriggerHandler triggerHandler, EvictionPolicy<T,?> evictionPolicy)` Returns a `TriggerPolicy` which triggers for every configured sliding window duration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SlidingDurationWindowStrategy

          public SlidingDurationWindowStrategy(WindowConfig slidingDurationWindow)

  - ### Method Detail

    - #### getTriggerPolicy

          public TriggerPolicy<T,?> getTriggerPolicy(TriggerHandler triggerHandler,
                                                     EvictionPolicy<T,?> evictionPolicy)

      Returns a `TriggerPolicy` which triggers for every configured sliding window duration.

    - #### getEvictionPolicy

          public EvictionPolicy<T,?> getEvictionPolicy()

      Returns an `EvictionPolicy` instance which evicts elements after window duration is reached.

Copyright © 2021 The Apache Software Foundation. All rights reserved.